X2Go Bug report logs - #1024
expand x2goclient --autostart option to support multiple apps

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Jason Alavaliant <alavaliant@ra09.com>

Date: Mon, 11 Apr 2016 00:00:02 UTC

Severity: normal

Tags: patch, pending

Found in version 4.0.5.2

Fixed in version 4.0.5.3

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Full log


Message #27 received at 1024@bugs.x2go.org (full text, mbox, reply):

Received: (at 1024) by bugs.x2go.org; 29 Sep 2016 00:30:51 +0000
From ionic@ionic.de  Thu Sep 29 02:30:45 2016
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-0.1 required=3.0 tests=BAYES_20,DKIM_SIGNED,
	DKIM_VALID,DKIM_VALID_AU,SPF_HELO_PASS,URIBL_BLOCKED autolearn=ham
	version=3.3.2
Received: from localhost (localhost [127.0.0.1])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTP id 573945DA96
	for <1024@bugs.x2go.org>; Thu, 29 Sep 2016 02:30:45 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at ymir.das-netzwerkteam.de
Received: from ymir.das-netzwerkteam.de ([127.0.0.1])
	by localhost (ymir.das-netzwerkteam.de [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id NMjBq0ruii5o for <1024@bugs.x2go.org>;
	Thu, 29 Sep 2016 02:30:35 +0200 (CEST)
Received: from Root24.de (powered.by.root24.eu [5.135.3.88])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTP id 70E955DA95
	for <1024@bugs.x2go.org>; Thu, 29 Sep 2016 02:30:35 +0200 (CEST)
Received: from nopileos.local (178.162.222.41.adsl.inet-telecom.org [178.162.222.41])
	by mail.ionic.de (Postfix) with ESMTPSA id 1B6DB4F00654;
	Thu, 29 Sep 2016 02:30:30 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=ionic.de; s=default;
	t=1475109031; bh=n8YkzIAMS3qqwVgQgsSgOFx8HwQtC2eDASZprqLUdJY=;
	h=Subject:To:References:From:Date:In-Reply-To:From;
	b=h9EFNkGTscaxaUIMcXlaQMR9uDrETfYGRVze+z5+gML+muTRiNvLoQhrSPe5LcvLk
	 Vzqlln8E3dCElYAHe0d6GAlX40dyPWqUEmoHhgDQ78tNmk4dxOAsbxmMF6H74CLo8o
	 CKePEtjUHQ+3siRfJhVAFxdjAglQopM3SCrEFQRQ=
Subject: Re: [X2Go-Dev] Refreshed x2goclient autostart multiple app patch with
 bug fix
To: Jason Alavaliant <alavaliant@ra09.com>, 1024@bugs.x2go.org
References: <22e80dab-3ef6-70f4-4313-1ad328ba1fc8@ra09.com>
From: Mihai Moldovan <ionic@ionic.de>
Message-ID: <8a9a7959-de4c-8058-30b8-2fea5fd42347@ionic.de>
Date: Thu, 29 Sep 2016 02:30:12 +0200
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.9; rv:45.0)
 Gecko/20100101 Thunderbird/45.3.0
MIME-Version: 1.0
In-Reply-To: <22e80dab-3ef6-70f4-4313-1ad328ba1fc8@ra09.com>
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature";
 boundary="dnQGlXf09Ed9JifihgQpQdvqpipFHaoV0"
[Message part 1 (text/plain, inline)]
On 25.09.2016 09:33 AM, Jason Alavaliant wrote:
> It's been a while since I submitted the original proposed patches for 
> the x2goclient to allow it to support autostarting multiple 
> applications.    I note the original patches no longer applied to git 
> master so I've refreshed them in git format-patch format and also fixed 
> an off by one error that stopped the autostart option working when only 
> one app was specified.

Applied it with a few changes here and there (for instance, sanitizing the list
by trimming the strings, whitespace removal.)



Mihai


[signature.asc (application/pgp-signature, attachment)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Dec 4 22:51:24 2020; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.